Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.trace
Class TracerEvent

    java.lang.Object
      |
      +--weblogic.apache.xalan.trace.TracerEvent

public class TracerEvent
extends java.lang.Object
implements java.util.EventListener

Parent class of events generated for tracing the progress of the XSL processor.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`QName` | `m_mode` The current mode.
`TransformerImpl` | `m_processor` The XSLT processor instance.
`org.w3c.dom.Node` | `m_sourceNode` The current context node.
`ElemTemplateElement` | `m_styleNode` The node in the style tree where the event occurs.

Constructor Summary
`TracerEvent(TransformerImpl processor, org.w3c.dom.Node sourceNode, QName mode, ElemTemplateElement styleNode)` Create an event originating at the given node of the style tree.

Method Summary
`static java.lang.String` | `printNode(org.w3c.dom.Node n)` Returns a string representation of the node.
`static java.lang.String` | `printNodeList(org.w3c.dom.NodeList l)` Returns a string representation of the node list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_styleNode

    public final ElemTemplateElement m_styleNode

  The node in the style tree where the event occurs.

### m_processor

    public final TransformerImpl m_processor

  The XSLT processor instance.

### m_sourceNode

    public final org.w3c.dom.Node m_sourceNode

  The current context node.

### m_mode

    public final QName m_mode

  The current mode.

Constructor Detail

### TracerEvent

    public TracerEvent(TransformerImpl processor,
                       org.w3c.dom.Node sourceNode,
                       QName mode,
                       ElemTemplateElement styleNode)

  Create an event originating at the given node of the style tree.

  Parameters:
    `processor` - The XSLT TransformerFactory.
    `sourceNode` - The current context node.
    `mode` - The current mode.
    `m_styleNode` - node in the style tree reference for the event. Should not be null. That is not enforced.
    `styleNode` - The stylesheet element that is executing.

Method Detail

### printNode

    public static java.lang.String printNode(org.w3c.dom.Node n)

  Returns a string representation of the node. The string returned for elements will contain the element name and any attributes enclosed in angle brackets. The string returned for attributes will be of form, "name=value."

  Parameters:
    `n` - any DOM node. Must not be null.
  Returns:
    a string representation of the given node.

### printNodeList

    public static java.lang.String printNodeList(org.w3c.dom.NodeList l)

  Returns a string representation of the node list. The string will contain the list of nodes inside square braces. Elements will contain the element name and any attributes enclosed in angle brackets. Attributes will be of form, "name=value."

  Parameters:
    `l` - any DOM node list. Must not be null.
  Returns:
    a string representation of the given node list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference